Bug 1031023 - RHOS should use impl_qpid v2 by default
RHOS should use impl_qpid v2 by default
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ceilometer (Show other bugs)
All Linux
high Severity high
: rc
: 4.0
Assigned To: Eoghan Glynn
Ami Jeain
Depends On: 1030658 1031025 1031027
Blocks: 1030664 1031022
  Show dependency treegraph
Reported: 2013-11-15 08:47 EST by Alvaro Lopez Ortega
Modified: 2016-04-26 18:21 EDT (History)
12 users (show)

See Also:
Fixed In Version: openstack-ceilometer-2013.2-2.el6ost
Doc Type: Bug Fix
Doc Text:
The QPID driver's v2 topology was introduced to specifically address the slow growth of orphaned direct exchanges over time. By default, however, services still use the original v1 topology of the QPID driver; the v2 topology has to be explicitly configured via the 'qpid_topology_version = 2' parameter. With this fix, the Metering service's distribution configuration file (/usr/share/ceilometer/ceilometer-dist.conf) now contains the 'qpid_topology_version = 2' parameter. This effectively sets the QPID driver's v2 topology as the default.
Story Points: ---
Clone Of: 1030658
Last Closed: 2013-12-19 19:36:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Proposed fix for review. (829 bytes, patch)
2013-11-19 11:49 EST, Eoghan Glynn
pbrady: review+
Details | Diff

  None (edit)
Comment 2 Eoghan Glynn 2013-11-19 11:49:29 EST
Created attachment 826209 [details]
Proposed fix for review.
Comment 6 errata-xmlrpc 2013-12-19 19:36:13 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.